DeepFellow DOCS

Text

Convert file to text.

POST
/text_converter/text
AuthorizationBearer <token>

In: header

Query Parameters

image_processing_modeImageProcessingMode

Image processing mode.

Value in"ignore" | "description" | "as_attachment"

Header Parameters

OpenAI-Organization?Openai-Organization

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?Openai-Project

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

fileFile

The File object (not file name) to be uploaded.

Response Body

curl -X POST "https://loading/text_converter/text?image_processing_mode=ignore" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -F file="string"
{
  "blocks": [
    {
      "type": "text",
      "text": "string"
    }
  ],
  "warnings": []
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.